.p-indent{
    text-indent: 2em;
}
.tr-index-margin{
    margin: 0 !important;
}
.tr-margin-top-35{
    margin-top: 35px !important;
    padding-bottom: 50px !important;
}
.tr-author-info{
    border: none !important;
    margin-bottom: 25px !important;
}
.tr-author-p{
    height: 310px !important;
    overflow: hidden !important;
}
.tr-home-h5{
    color: #C8161D !important;
}
.tr-home-h6{
    color: #C8161D;
    margin-bottom: 0 !important;
}
.tr-home-h5 i{
    padding-right: 5px !important;
}
.tr-home-card-img{
    width: 100%;
    height: 300px;
    object-fit: cover;
}
.tr-text{
    margin: 15px 0;
}
.tr-home-card-data{
    font-size: 13px;
    color: #c1c1c1;
    margin-bottom: 0 !important;
}
.tr-right-card{
    height: 200px !important;
}

.tr-right-card img{
    height: 120px !important;
    width: auto;
    object-fit: cover;
}
/*-------课程体系-------*/
.tr-course p{
    text-indent: 2rem;
}
.tr-usage-grid{
    margin-bottom: 10px !important;
    grid-template-columns: repeat(1, 1fr) !important;
}
.tr-course-img{
    border-radius: 10px !important;
}
.tr-img{
    column-count: 3;    /* 列数：2列/3列/4列自行改 */
    column-gap: 15px;       /* 图片左右间隙清零 */
}
.tr-img img{
    display: block;
    width: 100%;
    margin: 0 0 15px 0 ;           /* 上下外边距清零，杜绝留白 */
    padding: 0;
    break-inside: avoid;/* 防止图片中间截断 */
}
.tr-div{
    border: 1px solid #f9f9f9;
    margin: 35px 0;
}
.tr-upgrade{
    display: grid;
    grid-template-columns: repeat(10, 1fr);
    align-items: flex-end;
    gap: 10px; /* 格子之间的间隙，可删 */
    width: 100%;
    text-align: center;
    overflow: hidden;
}
.tr-upgrade>div{
    border-radius:20px 0 0 0;
    padding: 15px 5px 0 5px;
    text-align: center;
}
.tr-upgrade>div:nth-child(1){height:300px;background-color: #FADBD5;transition: height 0.5s ease}
.tr-upgrade>div:nth-child(2){height:350px;background-color: #C9E8F6;transition: height 0.5s ease}
.tr-upgrade>div:nth-child(3){height:400px;background-color: #E5EFC8;transition: height 0.5s ease}
.tr-upgrade>div:nth-child(4){height:450px;background-color: #C2E5EE;transition: height 0.5s ease}
.tr-upgrade>div:nth-child(5){height:500px;background-color: #D8D2E9;transition: height 0.5s ease}
.tr-upgrade>div:nth-child(6){height:550px;background-color: #F8D0E2;transition: height 0.5s ease}
.tr-upgrade>div:nth-child(7){height:600px;background-color: #F9D7D7;transition: height 0.5s ease}
.tr-upgrade>div:nth-child(8){height:650px;background-color: #FCE0CB;transition: height 0.5s ease}
.tr-upgrade>div:nth-child(9){height:700px;background-color: #F8E7C1;transition: height 0.5s ease}
.tr-upgrade>div:nth-child(10){height:750px;background-color: #F7F4BC;transition: height 0.5s ease}

.tr-upgrade>div:hover{
    height: 750px;
    transition: height 0.5s ease;
}

.tr-num{
    background-color: #ffffff;
    width: 50px;
    height: 50px;
    text-align: center;
    border-radius:25px;
    margin: 0 auto;
    line-height: 50px;
    font-size: 30px;
    font-weight: 400;
}
.tr-num-0{color: #EF8876}
.tr-num-1{color: #45BFEC}
.tr-num-2{color: #A5CD45}
.tr-num-3{color: #63C4D8}
.tr-num-4{color: #404D9F}
.tr-num-5{color: #E62770}
.tr-num-6{color: #EB6765}
.tr-num-7{color: #ED6E1C}
.tr-num-8{color: #EDA719}
.tr-num-9{color: #BCB41C}
.tr-p-about{
    font-size: 13px;
    text-align:left;
    margin: 0;
}
.tr-p-title{
    font-size: 16px;
    margin:0;
}
.tr-ccpt{
    width: 80%;
    margin: 0 auto;
    background-color: #ffffff;
    height: 35px;
    border-radius: 10px;
    line-height: 35px;
    border: 1px solid #0d131f;
}
.tr-fenge{
    height: 2px;
    background-color: #ffffff;
    margin: 5px 0;
}
/*------教师团队---------*/
.tr-teaching-header-img{
    width: 280px !important;
}

/*---------获奖详情-------*/
.process-item{
    transition: transform 0.2s ease;
}
.process-item:hover{
    transform: translateX(-5px);
}
/*--------分页---------*/
.tr-page{
    text-align: center;
    margin-top: 55px;
}
.tr-a-active{
    background-color: #C8161D !important;
    color: #fff !important;
}
.tr-works-a{
    display: block;          /* 转为块级，可设置宽高 */
    width: 100%;
    height: 100%;
    padding: 12px 24px;
    border-radius: 50px;
}
@media (max-width: 768px) {
    .tr-works-a{
        padding: 10px 16px;
    }
}
/*--------学员作品展示-------*/
.tr-work-img{
    text-align: center;
}
.tr-work-img img{
    height: 100% !important;
    width: auto !important;
}
.tr-desc-text {
    max-height: 80px;     /* 自己改最大高度 */
    line-height: 20px;    /* 行高配合控制行数 */
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2; /* 显示4行，可改 */
    -webkit-box-orient: vertical;
    margin-bottom: 0px !important;
}
.tr-article-number{
    font-size: 1.5rem !important;
    font-weight: 600 !important;
}
.tr-terms-article{
    padding: 20px 0 !important;
}